# GET /customers

**List customers**

Returns a paginated list of customers. Use the query parameters to page through results.

By default, Paddle returns customers that are `active`. Use the `status` query parameter to return customers that are archived.

**Required permissions:** `customer.read`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200) |
| `email` | array | optional | Return entities that exactly match the specified email address. Use a comma-separated list to specify multiple email addresses. Recommended for precise matching of email addresses. (Items: max 100) |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `id`. |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. |
| `search` | string | optional | Return entities that match a search query. Searches `id`, `name`, and `email` fields. Use the `email` query parameter for precise matching of email addresses. (Max length: 100) |

## Response (200)

- `data`: array (required)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

### Response example

```json
{
  "data": [
    {
      "id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "status": "active",
      "custom_data": null,
      "name": "Jo Brown-Anderson",
      "email": "jo@example.com",
      "marketing_consent": false,
      "locale": "en",
      "created_at": "2024-04-11T15:57:24.813Z",
      "updated_at": "2024-04-11T15:59:56.658719Z",
      "import_meta": null
    },
    {
      "id": "ctm_01h844q4mznqpgqgm6evgw1w63",
      "status": "active",
      "custom_data": null,
      "name": "Jamie Price",
      "email": "jamie@example.com",
      "marketing_consent": false,
      "locale": "en",
      "created_at": "2023-08-18T10:58:05.087Z",
      "updated_at": "2024-04-11T15:55:02.727195Z",
      "import_meta": null
    },
    {
      "id": "ctm_01h844p3h41s12zs5mn4axja51",
      "status": "active",
      "custom_data": null,
      "name": "Alex Wilson",
      "email": "alex@example.com",
      "marketing_consent": false,
      "locale": "en",
      "created_at": "2023-08-18T10:57:31.172Z",
      "updated_at": "2024-04-11T15:55:19.492484Z",
      "import_meta": null
    },
    {
      "id": "ctm_01hrffh7gvp29kc7xahm8wddwa",
      "status": "active",
      "custom_data": null,
      "name": "Sam Miller",
      "email": "sam@example.com",
      "marketing_consent": false,
      "locale": "en",
      "created_at": "2024-03-08T16:49:53.691Z",
      "updated_at": "2024-04-11T16:03:57.924146Z",
      "import_meta": null
    }
  ],
  "meta": {
    "request_id": "913dee78-d496-4d13-a93e-09d834c208dd",
    "pagination": {
      "per_page": 50,
      "next": "https://api.paddle.com/customers?after=ctm_01h8441jn5pcwrfhwh78jqt8hk",
      "has_more": false,
      "estimated_total": 4
    }
  }
}
```
